%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  Jacquard
%global packver   1.0.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.2
Release:          1%{?dist}%{?buildtag}
Summary:          Estimation of Jacquard's Genetic Identity Coefficients

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.3.0
Requires:         R-core >= 3.3.0
BuildArch:        noarch
BuildRequires:    R-CRAN-Rsolnp 
Requires:         R-CRAN-Rsolnp 

%description
Contains procedures to estimate the nine condensed Jacquard genetic
identity coefficients (Jacquard, 1974) <doi:10.1007/978-3-642-88415-3> by
constrained least squares (Graffelman et al., 2024)
<doi:10.1101/2024.03.25.586682> and by the method of moments (Csuros,
2014) <doi:10.1016/j.tpb.2013.11.001>. These procedures require previous
estimation of the allele frequencies. Functions are supplied that estimate
relationship parameters that derive from the Jacquard coefficients, such
as individual inbreeding coefficients and kinship coefficients.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
